docs

# UnpinAllChatMessages

data class UnpinAllChatMessages (val chatId: ChatIdentifier ) : ChatRequest, SimpleRequest < Boolean >
Content copied to clipboard

Use this method to clear the list of pinned messages in a chat. If the chat is not a private chat, the bot must be an administrator in the chat for this to work and must have the 'can_pin_messages' admin right in a supergroup or 'can_edit_messages' admin right in a channel.

## See also

dev.inmo.tgbotapi.requests.chat.modify.PinChatMessage
dev.inmo.tgbotapi.requests.chat.modify.UnpinChatMessage

## Constructors

UnpinAllChatMessages
Link copied to clipboard
fun UnpinAllChatMessages (chatId: ChatIdentifier )
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< Boolean >
Content copied to clipboard